Package: org.codehaus.groovy.util

## [Java] Class ListHashMap<K, V>

- org.codehaus.groovy.util.ListHashMap

- All Implemented Interfaces and Traits:
    Map

      public class ListHashMap<K, V>
      extends Object
      implements Map

  Represents a Map that is optimized for a small number of entries. For a number of entries up to `listSize` the entries are stored in arrays. After `listSize` entries are exceeded storage switches internally to a Map and converts back to being array based when its size is less than or equal to `listSize`.

  Null keys or values are not supported.

  This class is not thread-safe!

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListHashMap()`
    `ListHashMap(int listSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public boolean` | `containsValue(Object value)`
    `` | `public Set<Entry<K, V>>` | `entrySet()`
    `` | `public V` | `get(Object key)`
    `` | `public boolean` | `isEmpty()`
    `` | `public Set<K>` | `keySet()`
    `` | `public V` | `put(K key, V value)`
    `` | `public void` | `putAll(Map<? extends K, ? extends V> m)`
    `` | `public V` | `remove(Object key)`
    `` | `public int` | `size()`
    `` | `public Collection<V>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ListHashMap()

    - #### @SuppressWarnings("unchecked")
      public ListHashMap(int listSize)

  - ### Method Detail

    - #### @Override
      public void clear()

    - #### @Override
      public boolean containsKey(Object key)

    - #### @Override
      public boolean containsValue(Object value)

    - #### @Override
      public Set<Entry<K, V>> entrySet()

    - #### @Override
      public V get(Object key)

    - #### @Override
      public boolean isEmpty()

    - #### @Override
      public Set<K> keySet()

    - #### @Override
      public V put(K key, V value)

    - #### @Override
      public void putAll(Map<? extends K, ? extends V> m)

    - #### @Override
      public V remove(Object key)

    - #### @Override
      public int size()

    - #### @Override
      public Collection<V> values()